Subject: Re: bug#13255: 24.2.50; output in nonvisible shell buffer changes prompt

From: Stephen Berman <[email-masked]>
Date: Sun, 06 Jan 2013 20:49:41 +0100

On Sun, 06 Jan 2013 10:38:20 +0800 Chong Yidong <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>>> emacs -Q -f shell
>>>
>>> ;; run this in shell buffer
>>> while : ; do
>>>  sleep 0.5
>>>  echo hi
>>> done
>>>
>>> C-x b *scratch* RET
>>> C-h
>>
>> I also get no prompt on typing `C-h'; but if I uncheck "Blink Cursor"
>> in the Options menu and again type `C-h', then I see exactly what rms
>> reported.
>
> I've made a commit to trunk which should fix this.

I updated to trunk revno 111429 and confirm the oscillating dash/space
problem in the OP, which occurs when the blinking cursor is disabled, is
now fixed; thanks.  However, when the blinking cursor is enabled and the
above recipe is repeated, `C-h' is still not echoed (nor is any prefix
key).

Steve Berman